JOURNAL_RESTART(9)

NAME
journal_restart - restart a handle .

SYNOPSIS

int journal_restart (handle_t * handle, int nblocks);

ARGUMENTS

handle
    handle to restart

nblocks
    nr credits requested

DESCRIPTION

Restart a handle for a multi-transaction filesystem operation.

If the journal_extend call above fails to grant new buffer credits to a running handle, a call to journal_restart will commit the handle's transaction so far and reattach the handle to a new transaction capabable of guaranteeing the requested number of credits.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.